new Vue({
    el: '#childApp',
    data: function () {
        return {
            ss: 'sas',
            dateTime: '',
            cityList: [],
            countryList: [],
            teamList: [],
            cityvalue: '',
            countryvalue: '',
            teamvalue: '',
            country_show: false,
            team_show: true,
            start_date: '',
            isscrollTop: false,
            currentPage: 1,
            pagesize: 10,
            total: 10,
            poppage: 1,
            poppagesize: 10,
            poptotal: 10,
            poprule: '',
            poptables: '',
            popcurrentPage: 1,
            isHidePage: true,
            scrollTop: 0,
            end_date: '',
            poploading: false,
            BASEURL: window_url,
            dialogTableVisible: false,
            takeList: [],
            dateRange: [new Date(), new Date()],
            loading: true,
            poptableData: [],
            tableData: []
        }
    },
    methods: {
        changeCity(msg) {
            console.log(msg);
            this.currentPage = 1;
            this.cityvalue = msg;
            this.getProfile();  // 获取统计数据
        },
        getCity() {
            let that = this;
            var request = new XMLHttpRequest();

            let uri = window_url + 'api/v1/agency/city/';

            request.open('GET', uri, false);
            request.send(null);
            if (request.status === 200) {
                data = JSON.parse(request.response);
                console.log(data.code);
                if (data.code != 0) {
                    that.$message('服务器错误');
                } else {
                    that.cityList = data.data.city_list;
                    that.cityvalue = '';
                    console.log(that.cityvalue);
                    that.init_simple = true;
                }
            } else {
                that.$message('服务器错误');
            }
        },
        getProfile() {
            let that = this;
            let page = this.currentPage;
            this.$loading({text: '数据加载中...'});
            RquestsGet('api/v1/profile/labels/?region=' + that.cityvalue + '&page=' + page + '&page_size=10').then(data => {
                console.log(data.data);
                if (data.code != 0) {
                    that.$message(data.msg);
                    if (data.msg) {
                        that.$message(data.msg);
                    } else {
                        that.$message('服务器错误')
                    }
                }
                this.tableData = data.data;
                this.total = data.total;
                this.isHidePage = !(data.data.length > 0);
                if (!data.data) {

                    this.$loading().close();
                    return false;
                }
                //for(let key in data.data){
                //	arr.unshift([data.data[key],key])
                //}

                this.$loading().close();
            })
        },
        CurrentChange(page) {
            this.currentPage = page;
            //this.tableData = this.basearr.concat(this.allData.slice((page-1)*this.pagesize,page*this.pagesize));
            this.getProfile();  // 获取统计数据
            //that.allData = data.data;
        },
        dateFormat(date) {
            return date.getFullYear() + "-" + (date.getMonth() + 1) + "-" + date.getDate();
        },
        datetimeFormat(row, column) {
            let data = row[column.property];
            if(data == null) {
                return null
            }
            let dt = new Date(data);
            let month = dt.getMonth() + 1;
            month = month.toString().length === 1 ? ('0' + month.toString()) : month.toString();
            let day = dt.getDate();
            day = day.toString().length === 1 ? ('0' + day.toString()) : day.toString();
            let hh = dt.getHours();
            hh = hh.toString().length === 1 ? ('0' + hh.toString()) : hh.toString();
            let mm = dt.getMinutes();
            mm = mm.toString().length === 1 ? ('0' + mm.toString()) : mm.toString();
            let ss = dt.getSeconds();
            ss = ss.toString().length === 1 ? ('0' + ss.toString()) : ss.toString();
            return dt.getFullYear() + '-' + month + '-' + day + ' ' + hh + ':' + mm + ':' + ss
        },
        init() {
            this.getCity();  // 获取任务
            this.getProfile();  // 获取统计数据

        }
    },
    created() {
        this.init()
    },

})
